package com.dayou.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.dayou.entity.BusinessNumberRecycle;

public interface IBusinessNumberRecycleService extends IService<BusinessNumberRecycle> {

    /**
     * 大中型报告号回收（已取备案报告号，后不备案）
     * 限制：未产生报告号子号可回收
     * @param businessId
     * @return
     */
    Boolean recycleMajorReportNumber(Long businessId);
}
