package com.dayou.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dayou.entity.BusinessNumber;
import com.dayou.entity.BusinessNumberRecycle;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 业务号回收 Mapper 接口
 * </p>
 *
 * @author wucl
 * @since 2025-07-09
 */
public interface BusinessNumberRecycleMapper extends BaseMapper<BusinessNumberRecycle> {

    BusinessNumber takeRecycleNo(@Param("businessType") String businessType, @Param("takeType")String takeType ,@Param("year") Integer year);

    void updateState(@Param("id") Long id);
}
