package com.dayou.dto;

import com.dayou.entity.MajorAppraiserUnit;
import com.github.liangbaika.validate.annations.AbcValidate;
import com.github.liangbaika.validate.enums.Check;
import lombok.Data;

import java.util.List;

@Data
public class MajorAppraiserUnitDTO {

    @AbcValidate(required = true,message = "id错误", fun = Check.NotNull)
    private Long majorId;

    @AbcValidate(required = true,message = "数据错误", fun = Check.NotNull)
    private List<MajorAppraiserUnit> userUnit;
}
